# module Chef::ReservedNames::Win32::API::Synchronization

### Constants

DELETE

  Security and access rights for synchronization objects msdn.microsoft.com/en-us/library/windows/desktop/ms686670(v=vs.85).aspx

INFINITE

  Constant synchronization functions use to indicate wait forever.

MUTEX_ALL_ACCESS

  Mutex specific rights

MUTEX_MODIFY_STATE
READ_CONTROL
SYNCHRONIZE
WAIT_ABANDONED
WAIT_FAILED

  Return codes msdn.microsoft.com/en-us/library/windows/desktop/ms687032(v=vs.85).aspx

WAIT_OBJECT_0
WAIT_TIMEOUT
WRITE_DAC
WRITE_OWNER